Skip to main content

Bankslip

At the moment a user makes or receives a bankslip payment, the payment data must be sent to QI Tech. In this way, it will be possible to perform an analysis of the risk involved in that operation using the data.

Bankslip Object Definition

Request Body
{
"id": "082373263",
"bankslip_direction": "received",
"document_amount": 13725,
"discount_amount": 1000,
"other_deduction_amount": 0,
"interest_amount": 254,
"amount": 12979,
"bankslip_payment_date": "2020-10-07T15:06:25-03:00",
"bankslip_due_date": "2020-10-07",
"bankslip_issuing_date": "2020-10-07",
"description": "BOLETO PARA PAGAMENTO DA MENSALIDADE DE SETEMBRO",
"face_recognition_key": "ef39e206-13d5-48de-b368-6c3bbc6f0222",
"validation_key": "69a59de3-0198-4a26-933a-c1de624c147d",
"payer": {
"id": "182373263",
"type": "legal_person",
"document_number": "07.487.735/0001-69",
"name": "Gioconda Pizzaria e Rotisseria LTDA.",
"address": {
"street": "Avenida 13",
"number": "704",
"neighbourhood": "Centro",
"city": "Ituiutaba",
"uf": "MG",
"complement": "Apt 1101",
"postal_code": "38300-140"
},
"phone": {
"international_dial_code": "55",
"area_code": "16",
"number": "981610077",
"type": "mobile"
},
"email": "mailto@qitech.com.br",
"account": {
"participant": "60701190",
"branch": "3675",
"account_number": "13212",
"account_digit": "5",
"account_type": "CACC"
},
"sales_channel": "inbound_sales",
"segment": "Personalité"
},
"recipient": {
"id": "282373263",
"type": "legal_person",
"document_number": "056.966.649-03",
"name": "Francisco Oliveira Benedetti",
"address": {
"street": "Avenida 13",
"number": "704",
"neighbourhood": "Centro",
"city": "Ituiutaba",
"uf": "MG",
"complement": "Apt 1101",
"postal_code": "38300-140"
},
"phone": {
"international_dial_code": "55",
"area_code": "16",
"number": "981610077",
"type": "mobile"
},
"account": {
"participant": "60701190",
"branch": "3675",
"account_number": "10552",
"account_digit": "6",
"account_type": "CACC"
}
},
"final_recipient": {
"id": "382373263",
"type": "legal_person",
"document_number": "056.966.649-03",
"name": "Francisco Oliveira Benedetti",
"address": {
"street": "Avenida 13",
"number": "704",
"neighbourhood": "Centro",
"city": "Ituiutaba",
"uf": "MG",
"complement": "Apt 1101",
"postal_code": "38300-140"
},
"phone": {
"international_dial_code": "55",
"area_code": "16",
"number": "981610077",
"type": "mobile"
},
"account": {
"participant": "60701190",
"branch": "3675",
"account_number": "10442",
"account_digit": "6",
"account_type": "CACC"
}
},
"source": {
"channel": "internet_banking",
"platform": "android",
"ip": "198.185.056.098",
"session_id": "7839jdqd9a8wd9"
}
}

A bankslip payment must be sent to the API before being forwarded to the processing system in order to perform a prior fraud validation.

The payment status represents the decision returned by the model regarding that bankslip. The following statuses are used in the analysis_status flag:

  • automatically_approved
  • automatically_reproved
  • in_manual_analysis
  • pending

Below are the meanings of each decision returned in the analysis_status flag:

statusdescription
automatically_approvedIt is recommended that this bankslip payment be approved.
automatically_reprovedIt is recommended that this bankslip payment be reproved.
in_manual_analysisIt is recommended that this bankslip payment be analyzed manually.
pendingThe bankslip payment is being processed.
nametypedescription
idstringTransaction identifier in the client's system.
It is essential that this number is unique for each bankslip payment
bankslip_directionenumeratorBankslip payment modality. Defines whether the client is payer or the receiver of the bankslip operation
document_amountintegerDocument amount in cents - as described in the "Standards" section.
discount_amountintegerDiscount or abatement amount applied to the document value in cents - as described in the "Standards" section.
other_deduction_amountintegerValue of other deductions applied to the document value in cents - as described in the "Standards" section.
interest_amountintegerValue of fines, late fees, or interest applied to the document value in cents - as described in the "Standards" section.
amountintegerFinal amount paid on the bankslip - as described in the "Standards" section.
bankslip_payment_datedatetimeThe date and time of the bankslip payment, with time zone.
bankslip_due_datedateBankslip due date according to standardization.
bankslip_issuing_datedateBankslip issuance date according to standardization.
descriptionstringDescription or remarks field of the bankslip.
face_recognition_keystringFacial recognition key, if facial recognition was performed by our facial recognition API.
validation_keystringValidation key, if any client validation test was performed in our validation API.
payerbankslip_payerObject representing the individual (natural person) or legal entity that paid the bankslip.
recipientbankslip_recipientObject representing the individual (natural person) or legal entity beneficiary of the bankslip.
final_recipientbankslip_recipientObject representing the individual (natural person) or legal entity final beneficiary of the bankslip.
sourcesourceSource type object describing information coming from the application used for the bankslip payment.

The following enumerators exist for bankslip_direction: payed and received.

Send a BankSlip Payment

Request Body
  {
"id": "12345",
...
}
Response Body
  {
"bankslip_key": "13d680ef-4b72-4cb2-a63d-cf3d790abaaf",
"status": "automatically_approved",
"reason": "rule_decision_enum"
}

To perform the evaluation of a bankslip payment, simply send a BankSlip object to the following endpoint:

POST https://api.caas.qitech.app/bankslip/bankslip

Retrieve a BankSlip Payment

Response Body
  {
"id": "082373263",
"bankslip_direction": "received",
...
}

To retrieve data from a bankslip payment, simply send a request to the following endpoint:

GET https://api.caas.qitech.app/bankslip/bankslip/{bankslip_id}

Where bankslip_id is the transaction identifier in the client's system used when sending the bankslip.

Update a BankSlip Payment

Request Body
  {
"bankslip_status": "completed",
"event_date": "2020-10-07T15:06:25-03:00"
}
Response Body
  {
"bankslip_key": "13d680ef-4b72-4cb2-a63d-cf3d790abaaf",
"bankslip_status": "completed"
}

After a bankslip payment is created and analyzed, it will be sent to the clearing house to be processed. Thus, it is necessary to report the payment status updates when it is sent, via the endpoint:

PUT https://api.caas.qitech.app/bankslip/bankslip/{bankslip_id}

In this way, it is guaranteed that our database is updated and we are able to identify bankslip payments that are actually susceptible to fraud.